from setuptools import setup
import os
import torch

from torch.utils.cpp_extension import BuildExtension, CUDAExtension

setup(
    name='crop_and_resize',
    ext_modules=[
        CUDAExtension('crop_and_resize', [
            'src/crop_and_resize.cpp',
            'src/crop_and_resize_kernel.cu',
            'src/crop_and_resize_cpu.cpp',
        ]),
    ],
    cmdclass={
        'build_ext': BuildExtension
    })
