from setuptools import setup
import os
import torch

from torch.utils.cpp_extension import BuildExtension, CUDAExtension

setup(
    name='nms',
    ext_modules=[
        CUDAExtension('nms', [
            'src/nms.cpp',
            'src/nms_cuda_kernel.cu',
            'src/nms_cpu.cpp',
        ]),
    ],
    cmdclass={
        'build_ext': BuildExtension
    })

